export declare const DEFAULT_CLOUDWATCH_CONFIG: {
    agent: {
        metrics_collection_interval: number;
        run_as_user: string;
        usage_data: boolean;
    };
    metrics: {
        namespace: string;
        metrics_collected: {
            net: {
                /**
                 * This is a bit flimsy. We need to know these interface names ahead of time for the config, but these just
                 * happen to be the values for AL2023.
                 */
                resources: string[];
                measurement: {
                    name: string;
                    rename: string;
                    unit: string;
                }[];
            };
            netstat: {
                measurement: {
                    name: string;
                    rename: string;
                    unit: string;
                }[];
            };
            ethtool: {
                interface_include: string[];
                metrics_include: string[];
            };
            mem: {
                measurement: {
                    name: string;
                    rename: string;
                    unit: string;
                }[];
            };
        };
        append_dimensions: {
            InstanceId: string;
            AutoScalingGroupName: string;
        };
    };
};
